import { LanguageSupport, LRLanguage } from "@codemirror/language";
declare function compile(str: string): GeneratorFunction;
declare const callIdentifiers: string[];
declare const conditionIdentifiers: string[];
type Position = {
    from: number;
    to: number;
};
type KarolError = {
    msg: string;
    pos: Position;
};
type DefinitionCompilationResult = {
    result: string;
    identifier: string;
};
declare const karolLanguage: LRLanguage;
declare function karol(): LanguageSupport;
declare function parse(str: string): import("@lezer/common").Tree;
declare const callIdentifiersSet: Set<string>;
declare const conditionIdentifiersSet: Set<string>;
export { compile, callIdentifiers, conditionIdentifiers, Position, KarolError, DefinitionCompilationResult, karol, karolLanguage, parse, callIdentifiersSet, conditionIdentifiersSet };
